hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-9613) [JDK8] Update jersey version to latest 1.x release
Date Wed, 28 Oct 2015 18:17:28 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-9613?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14978940#comment-14978940
] 

Steve Loughran commented on HADOOP-9613:
----------------------------------------

This is going to hit client-side hard; it forces all clients to upgrade their jersey code,
and, as jersey's {{ClientResponse}} class is clearly not-backwards compatible across versions:
https://jersey.java.net/nonav/documentation/2.0/migration.html

Which means it is going to be traumatic.. Anyone who wants to move up to Hadoop 3 is going
to have to commit to upgrade jersey, invest the migration effort knowing they'll never go
back, etc.

It may well be better, but its the kind of thing that puts people off upgrading -and by doing
it in Hadoop, we give people downstream some transitive reasons not to upgrade.

Is there anything we can do here?

> [JDK8] Update jersey version to latest 1.x release
> --------------------------------------------------
>
>                 Key: HADOOP-9613
>                 URL: https://issues.apache.org/jira/browse/HADOOP-9613
>             Project: Hadoop Common
>          Issue Type: Sub-task
>          Components: build
>    Affects Versions: 2.4.0, 3.0.0
>            Reporter: Timothy St. Clair
>            Assignee: Tsuyoshi Ozawa
>              Labels: maven
>         Attachments: HADOOP-2.2.0-9613.patch, HADOOP-9613.004.incompatible.patch, HADOOP-9613.005.incompatible.patch,
HADOOP-9613.006.incompatible.patch, HADOOP-9613.007.incompatible.patch, HADOOP-9613.1.patch,
HADOOP-9613.2.patch, HADOOP-9613.3.patch, HADOOP-9613.patch
>
>
> Update pom.xml dependencies exposed when running a mvn-rpmbuild against system dependencies
on Fedora 18.  
> The existing version is 1.8 which is quite old. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message